Bruk CometAPI Runway POST /runwayml/v1/video_to_video for å starte video-til-video-genereringsoppgaver, angi X-Runway-Version og transformere kildeklipp.
curl --request POST \
--url https://api.cometapi.com/runwayml/v1/video_to_video \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Runway-Version: <x-runway-version>' \
--data '
{
"videoUri": "https://filesystem.site/cdn/20250818/c4gCDVPhiBc6TomRTJ7zNg0KwO1PSJ.mp4",
"promptText": "string",
"seed": 4294967295,
"model": "gen4_aleph",
"references": [
{
"type": "image",
"uri": "https://cdn.britannica.com/70/234870-050-D4D024BB/Orange-colored-cat-yawns-displaying-teeth.jpg"
}
],
"ratio": "1280:720",
"contentModeration": {
"publicFigureThreshold": "auto"
}
}
'{}X-Runway-Version-headeren for funksjonssettet du ønskerSend inn kildeklippet og prompten
Hent oppgavedetaljer med polling
Bearer token authentication. Use your CometAPI key.
Runway API version header, for example 2024-11-06.
HTTPS URL of the source video, or a base64 data URI containing the video.
Text prompt describing the desired output. Maximum 1000 characters.
Random seed for reproducible results. Range: 0–4294967295.
Model variant to use.
Optional reference images to guide generation. Each item must include type (e.g. image) and uri (HTTPS URL).
Show child attributes
Aspect ratio of the output video, e.g. 1280:720.
Show child attributes
success
The response is of type object.
curl --request POST \
--url https://api.cometapi.com/runwayml/v1/video_to_video \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Runway-Version: <x-runway-version>' \
--data '
{
"videoUri": "https://filesystem.site/cdn/20250818/c4gCDVPhiBc6TomRTJ7zNg0KwO1PSJ.mp4",
"promptText": "string",
"seed": 4294967295,
"model": "gen4_aleph",
"references": [
{
"type": "image",
"uri": "https://cdn.britannica.com/70/234870-050-D4D024BB/Orange-colored-cat-yawns-displaying-teeth.jpg"
}
],
"ratio": "1280:720",
"contentModeration": {
"publicFigureThreshold": "auto"
}
}
'{}